package com.moyoung.moyoung_ble_plugin.common;

import android.graphics.Bitmap;

public class ImageUtils {
    public static Bitmap cropBitmap(Bitmap originalBitmap, int cropWidth, int cropHeight) {
        // 获取原始图片的宽度和高度
        int originalWidth = originalBitmap.getWidth();
        int originalHeight = originalBitmap.getHeight();

        // 计算裁剪的起始位置
        int startX = (originalWidth - cropWidth) / 2;
        int startY = (originalHeight - cropHeight) / 2;

        // 创建一个新的位图用于存储裁剪后的图像
        return Bitmap.createBitmap(originalBitmap, startX, startY, cropWidth, cropHeight);
    }
}
